%define name rpm-manbo-setup
%define version 0.6
%define release %manbo_mkrel 1

# for bootstrapping purpose:
%if "%{?manbo_mkrel:has_manbo}" == ""
%define manbo_mkrel(c:) %{1}
%endif

Summary: The Manbo rpm configuration and scripts
Name: %{name}
Version: %{version}
Release: %{release}
Source0: rpmrc
Source1: rpmpopt
Source2: rpmb_deprecated
Source3: manbo.macros
Source4: manbo-build.macros
License: GPL
Group: System/Configuration/Packaging
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

%description
The Manbo rpm configuration and scripts.

%package build
Group: System/Configuration/Packaging
Summary: The Manbo rpm configuration and scripts to build rpms
Requires: %name = %version-%release

%description build
The Manbo rpm configuration and scripts dedicated to build rpms.

%install
rm -rf %buildroot
install -d %buildroot/usr/lib/rpm/manbo
install -m 644 %SOURCE0 %SOURCE1 %buildroot/usr/lib/rpm/manbo
install %SOURCE2 %buildroot/usr/lib/rpm

install -D -m 644 %SOURCE3 %buildroot/etc/rpm/macros.d/10manbo.macros
install -D -m 644 %SOURCE4 %buildroot/etc/rpm/macros.d/10manbo-build.macros

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/rpm/macros.d
%{_sysconfdir}/rpm/macros.d/10manbo.macros
%_prefix/lib/rpm/manbo
%_prefix/lib/rpm/rpmb_deprecated

%files build
%{_sysconfdir}/rpm/macros.d/10manbo-build.macros


%changelog
* Fri Mar 28 2008 Pixel <pixel@mandriva.com> 0.6-1mnb1
+ Revision: 190833
- remove duplicated space in %%optflags (otherwise gdb build breaks)

* Fri Feb 22 2008 Pixel <pixel@mandriva.com> 0.5-1mnb1
+ Revision: 173824
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Fri Feb 15 2008 Pixel <pixel@mandriva.com> 0.5-1mdv2008.1
+ Revision: 169009
- 0.5: move enough macros here from rpm-mandriva-setup to correctly define
  macros %%configure, %%optflags and %%_install_info

* Fri Feb 15 2008 Pixel <pixel@mandriva.com> 0.4-1mdv2008.1
+ Revision: 168823
- move macros needed for Manbo packages here out of rpm-mandriva-setup

* Fri Feb 15 2008 Pixel <pixel@mandriva.com> 0.3-1mdv2008.1
+ Revision: 168743
- rpmb_deprecated must be executable

* Thu Feb 14 2008 Pixel <pixel@mandriva.com> 0.2-1mdv2008.1
+ Revision: 167745
- rpmb_deprecated must be in /usr/lib/rpm

* Thu Feb 14 2008 Pixel <pixel@mandriva.com> 0.1-1mdv2008.1
+ Revision: 167720
- initial package (with files moved from rpm-mandriva-setup)
- Created package structure for rpm-manbo-setup.

